WU-FTPD < 2.6.2 PASV Command Format String Arbitrary Code Execution

High Nessus Network Monitor Plugin ID 1809

Synopsis

The remote host is running a vulnerable version of WU-FTPD server.

Description

The remote WU-FTPD server is vulnerable to a format string flaw when it is run in debug mode. An attacker may use this flaw to execute arbitrary code on this host by sending a PASV command with a specially crafted argument.

Solution

Upgrade to WU-FTPD 2.6.2 or higher.

See Also

http://www.kb.cert.org/vuls/id/639760

http://www.nessus.org/u?859aecba

Plugin Details

Severity: High

ID: 1809

File Name: 1809.prm

Family: FTP Servers

Published: 2004/08/20

Modified: 2016/11/23

Dependencies: 1850

Nessus ID: 11331

Risk Information

Risk Factor: High

CVSSv2

Base Score: 9.3

Temporal Score: 6.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSSv3

Base Score: 8.1

Temporal Score: 7.1

Vector: CVSS3#AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS3#E:U/RL:O/RC:C

Reference Information

CVE: CVE-2001-0187

BID: 2296